/*******************************************************************************
 Rue's "is it alive" program for avr processors
  also makes a good skel to build your programs form.
*******************************************************************************/


#include <avr/io.h>

// misc

#define OUTPUT             1
#define INPUT              0

void Delay(unsigned int delay);
void Delay2(unsigned int delay);

int main (void) {

  // set up directions 
  DDRB = (INPUT << PB0 | INPUT << PB1 |INPUT << PB2 |INPUT << PB3 |INPUT << PB4 |OUTPUT << PB5 |INPUT << PB6 |INPUT << PB7);
 // DDRC = (INPUT << PC0 | INPUT << PC1 |INPUT << PC2 |INPUT << PC3 |INPUT << PC4 |INPUT << PC5 |INPUT << PC6 |INPUT << PC7);
  DDRD = (INPUT << PD0 | INPUT << PD1 |INPUT << PD2 |INPUT << PD3 |INPUT << PD4 |INPUT << PD5 |INPUT << PD6 |INPUT << PD7);        

  while(1) {
    Delay2(24);
    PORTB = 0b11111111;
    Delay2(24);
    PORTB = 0x00;
    Delay2(24);
    PORTB = 0xFF;
    Delay2(24);
    PORTB = 0x00;
  }

}

void Delay(unsigned int delay) {
  unsigned int x;
  for (x = delay; x != 0; x--) {
    asm volatile ("nop"::); 
  }
}

void Delay2(unsigned int delay) {
  unsigned int x;
  for (x = delay; x != 0; x--) Delay(65535);
}






